Bug 1042358 - cntlm fails to start: can't create pid file
Summary: cntlm fails to start: can't create pid file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cntlm
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-12 21:52 UTC by Mike Pittaro
Modified: 2013-12-23 03:50 UTC (History)
2 users (show)

Fixed In Version: cntlm-0.92.3-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-22 05:44:58 UTC


Attachments (Terms of Use)

Description Mike Pittaro 2013-12-12 21:52:29 UTC
Description of problem:

After installing cntlm, the service fails to start because it's can't create it's pid file.

Dec 12 11:26:26 anvil2 systemd[1]: Starting CNTLM HTTP Accelerator For NTLM Secured Proxies Authenticator...
Dec 12 11:26:26 anvil2 cntlm: Starting cntlm version 0.92.3 for LITTLE endian
Dec 12 11:26:26 anvil2 cntlm: Proxy listening on 127.0.0.1:5865
Dec 12 11:26:26 anvil2 cntlm: Workstation name used: anvil2
Dec 12 11:26:26 anvil2 cntlm: Using following NTLM hashes: NTLMv2(1) NT(0) LM(0)
Dec 12 11:26:26 anvil2 cntlm[3172]: Daemon ready
Dec 12 11:26:26 anvil2 systemd[1]: Started CNTLM HTTP Accelerator For NTLM Secured Proxies Authenticator.
Dec 12 11:26:26 anvil2 cntlm[3172]: Changing uid:gid to 994:991 - Success
Dec 12 11:26:26 anvil2 cntlm[3172]: Error creating a new PID file
Dec 12 11:26:26 anvil2 systemd[1]: cntlm.service: main process exited, code=exited, status=1/FAILURE
Dec 12 11:26:26 anvil2 systemd[1]: Unit cntlm.service entered failed state.


Version-Release number of selected component (if applicable):

cntlm-0.92.3-3.fc19.x86_64

How reproducible:

Always fails.

Steps to Reproduce:
1. install cntlm
2. systemctl start polipo.service 


Actual results:

service will not start.

Expected results:

service starts.

Additional info:

It appears cntlm will not create the required directory in /run, it has to exist. Workaround is to create the directory manually as root:

# mkdir /run/cntlm
# chown cntlm:cntlm /run/cntlm
# chmod 755 /run/cntlm

Comment 1 Mike Pittaro 2013-12-12 21:58:28 UTC
oops - above repro should read "systemctl start cntlm.service", not polipo.service

Comment 2 Sandro Mani 2013-12-12 22:05:17 UTC
oops - above repro should read "systemctl start cntlm.service", not polipo.service

Comment 3 Sandro Mani 2013-12-12 22:06:12 UTC
Uhm something went wrong with my comment. Anyway, the spec file was missing %dir /run/cntlm. Fixed packages under way.

Comment 4 Fedora Update System 2013-12-12 22:15:18 UTC
cntlm-0.92.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cntlm-0.92.3-4.fc20

Comment 5 Fedora Update System 2013-12-12 22:16:45 UTC
cntlm-0.92.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cntlm-0.92.3-4.fc19

Comment 6 Mike Pittaro 2013-12-12 23:43:30 UTC
Tried the cntlm-0.92.3-4.fc19 with no luck.  The directory is now created, but it needs to be owned by cntlm:cntlm.  I think cntlm drops privs before creating the pid file.

Comment 7 lnie 2013-12-13 06:28:15 UTC
0.92.3-4.fc20 is the same

Comment 8 Sandro Mani 2013-12-13 07:23:04 UTC
Sorry about that. Should now be fixed. Thanks.

Comment 9 Fedora Update System 2013-12-13 07:23:27 UTC
cntlm-0.92.3-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cntlm-0.92.3-5.fc19

Comment 10 Fedora Update System 2013-12-13 07:24:41 UTC
cntlm-0.92.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cntlm-0.92.3-5.fc20

Comment 11 lnie 2013-12-13 07:35:37 UTC
0.92.3-5.fc20 works

Comment 12 Mike Pittaro 2013-12-13 15:44:21 UTC
Thanks.   cntlm-0.92.3-5.fc19 works.

Comment 13 Fedora Update System 2013-12-13 17:55:34 UTC
Package cntlm-0.92.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cntlm-0.92.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23335/cntlm-0.92.3-5.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-12-22 05:44:58 UTC
cntlm-0.92.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-12-23 03:50:05 UTC
cntlm-0.92.3-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.